package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Formd;
import com.realnet.basicp1.Services.FormdService ;












@RequestMapping(value = "/Formd")
 @CrossOrigin("*") 
@RestController
public class FormdController {
	@Autowired
	private FormdService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Formd")
		  public Formd Savedata(@RequestBody Formd data) {
		Formd save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Formd/{id}")
	public  Formd update(@RequestBody Formd data,@PathVariable Integer id ) {
		Formd update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Formd/getall/page")
	public Page<Formd> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Formd> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Formd")
	public List<Formd> getdetails() {
		 List<Formd> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Formd")
	public List<Formd> getallwioutsec() {
		 List<Formd> get = Service.getdetails();		
		return get;
}
@GetMapping("/Formd/{id}")
	public  Formd  getdetailsbyId(@PathVariable Integer id ) {
		Formd  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Formd/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}













}